# simplistic
![GitHub (Pre-)Release Date](https://img.shields.io/github/release-date-pre/jesse-sealand/simplistic)

| | |
| --- | --- |
| Package | [![PyPI Latest Release](https://img.shields.io/pypi/v/simplistic.svg)](https://pypi.org/project/simplistic/) [![PyPI - Downloads](https://img.shields.io/pypi/dm/simplistic)](https://pypi.org/project/simplistic/) |
| Meta | [![PyPI - License](https://img.shields.io/pypi/l/simplistic)](https://github.com/pandas-dev/pandas/blob/main/LICENSE)|

A base class for creating command line interface (cli) wrappers.

## What is it?

**simplistic** is a Python package that provides fast and flexible access to generating command line statements using natural language and method chaining.. It aims to be the fundamental building block creating any command line wrapper.

## Table of Contents

- [Main Features](#main-features)
- [Where to get it](#where-to-get-it)
- [Dependencies](#dependencies)
- [License](#license)
- [Documentation](#documentation)

## Main Features
Here are just a few of the things that pandas does well:

  - Allows to mapping natural language to tersely define command line arguements
  - Provides method chaining to assemble complete statements
  - Automatic execution of commands
    
## Where to get it
The source code is currently hosted on GitHub at:
https://github.com/jesse-sealand/simplistic

The latest released version are available at the [Python
Package Index (PyPI)](https://pypi.org/project/simplistic) only at this time.

```sh
# PyPI
pip install simplistic
```

## Dependencies
- Not dependant on packages outside of python core library.

## License
[MIT](LICENSE)

## Documentation
The official documentation is hosted on [Read the Docs](http://simplistic.readthedocs.io/).

